<template>
  <v-expand-transition>
    <v-card
      :key="isMinified"
      :color="$store.state.primaryColor"
      dark class="ml-12"
    >
      <analysis-nav-button
        v-for="analysis in analysesList"
        v-show="!isMinified"
        :key="analysis"
        :analysis="analysis"
      />
    </v-card>
  </v-expand-transition>
</template>

<script lang="ts">
import {
  Vue, Component, Prop,
} from 'vue-property-decorator';
import AnalysisNavButton from './AnalysisNavButton.vue';

@Component({
  components: {
    AnalysisNavButton,
  },
})
export default class AnalysisSidebarItems extends Vue {
  @Prop()
  analysesList!: string[];

  @Prop({ default: false })
  isMinified!: boolean;
}

</script>
